cURL
curl --request POST \ --url https://api.eflow.team/v1/networks/patch/offers/submit \ --header 'Content-Type: application/json' \ --header 'X-Eflow-Api-Key: <api-key>' \ --data ' { "network_offer_ids": [ 1, 2, 3 ], "fields": [ { "field_type": "offer_status", "field_value": "paused", "operator": "overwrite" } ] } '
{ "changes": [ { "network_offer": { "network_offer_id": 123, "network_id": 123, "name": "<string>", "offer_status": "<string>" }, "change_status": "ok", "current_field": { "field_type": "<string>", "field_value": "<unknown>", "operator": "<string>" }, "changed_field": { "field_type": "<string>", "field_value": "<unknown>", "operator": "<string>" }, "error_message": "<string>", "related_changes": "<string>" } ], "resource_errors": [ { "id": 123, "label": "<string>", "type": "<string>", "message": "<string>" } ] }
The Everflow API key generated from the Control Center > Security.
Array of offer IDs to update.
Array of field changes to apply.
Show child attributes
Was this page helpful?